- Home
- API Enriched
- Shape
- shape
- Consumption Summary.
Consumption Summary.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/consumption/summary';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/consumption/summary \ --header 'Authorization: <Authorization>'GET Consumption summary.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required namespace is used to scope traffic usage query. Only virtual_host in given namespace will be considered.
Query Parameters
Section titled “Query Parameters”Or “2022-08-01” The start date of the query period. Format: YYYY-MM or YYYY-MM-DD.
Or “2022-09-30” The end date of the query period. Format: YYYY-MM or YYYY-MM-DD.
Responses
Section titled “Responses”A successful response.
Response for Consumption Summary.
object
Consumption summary data.
object
All traffic count.
Exclusive with [month] Day Identifier, format: YYYYMMDD.
Exclusive with [day] Month Identifier, format: YYYYMM.
Counts of telemetry client.
Examplegenerated
{ "sums": [ { "all": "example", "day": "example", "month": "example", "telemetry_client": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example